## swagger-spec-validator 2.7.4

=== Makefile ===
.PHONY: docs test clean

test:
	tox

docs:
	tox -e docs

clean:
	find . -name '*.pyc' -delete
	rm -rf swagger_validator.egg-info
	rm -rf docs/build
	rm -f MANIFEST

.PHONY: install-hooks
install-hooks:
	tox -e pre-commit -- install -f --install-hooks

=== debian/changelog ===
swagger-spec-validator (2.7.4-1) unstable; urgency=medium

  * [eec0dcd] New upstream version 2.7.4
  * [8b67644] d/control: Change B-D on python3-all to python3-all:any
  * [029c375] d/rules: Remove non needed export of PYBUILD_SYSTEM
    The used declarations for the build system to use were opposite. It's
    enough to use the switch within the default dh call.
  * [f4f1ebe] autopkgtest: Remove test exclusion
    Re-enable the partial check test_raise_SwaggerValidationError_on_urlopen_error
    within the autopkgtest call. It's working again by the new imported
    upstream version now.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Oct 2021 18:50:29 +0200

swagger-spec-validator (2.7.3-2) unstable; urgency=medium

  * [f87a5f2] autopkgtest: Adding additional required packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 03 Oct 2021 09:23:33 +0200

swagger-spec-validator (2.7.3-1) unstable; urgency=medium

  * [9806e69] d/control: Update Standards-Version to 4.6.0
  * [f7320d6] d/rules: Adjust PYBUILD_TEST_ARGS due deprecation warning
  * [2416153] autopkgtest: Add basic test setup
  * [20f4b99] d/control: Remove obsolet Testsuite field

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Oct 2021 16:31:00 +0200

swagger-spec-validator (2.7.3-1~exp1) experimental; urgency=medium

  * [59d536b] New upstream version 2.7.3
  * [2688b5b] First and basic Debianization (Closes: #990341)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Jun 2021 09:33:37 +0200

=== debian/control ===
Source: swagger-spec-validator
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all:any,
Build-Depends-Indep:
 dh-python,
 python3-jsonschema,
 python3-mock,
 python3-pytest,
 python3-setuptools,
 python3-simplejson,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-yaml,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/swagger-spec-validator
Vcs-Git: https://salsa.debian.org/python-team/packages/swagger-spec-validator.git
Homepage: https://github.com/Yelp/swagger_spec_validator

Package: python-swagger-spec-validator-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Validation of Swagger specifications (Documentation)
 Swagger Spec Validator is a Python library that validates Swagger Specs
 against the Swagger 1.2
 (https://github.com/swagger-api/swagger-spec/blob/master/versions/1.2.md)
 or Swagger 2
 (https://github.com/swagger-api/swagger-spec/blob/master/versions/2.0.md)
 specification.
 The validator aims to check for full compliance with the Specification.
 .
 This package contains the documentation.

Package: python3-swagger-spec-validator
Architecture: all
Depends:
 python3-jsonschema,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Validation of Swagger specifications (Python3 version)
 Swagger Spec Validator is a Python library that validates Swagger Specs
 against the Swagger 1.2
 (https://github.com/swagger-api/swagger-spec/blob/master/versions/1.2.md)
 or Swagger 2
 (https://github.com/swagger-api/swagger-spec/blob/master/versions/2.0.md)
 specification.
 The validator aims to check for full compliance with the Specification.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=swagger-spec-validator
export PYBUILD_TEST_ARGS=-k 'not test_raise_SwaggerValidationError_on_urlopen_error'

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/source $(CURDIR)/debian/python-swagger-spec-validator-doc/usr/share/doc/python-swagger-spec-validator-doc/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	rm -rf docs/source/.build
	dh_auto_clean

## swagger-spec-validator 2.7.6

=== debian/changelog ===
swagger-spec-validator (2.7.6-1) unstable; urgency=medium

  * [9cd3d74] New upstream version 2.7.6
  * [5f50d3a] Revert "d/control: Change B-D on python3-all to python3-all:any"
  * [1a71239] d/control: Update Standards-Version to 4.6.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Sep 2022 16:47:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- python3-all:any,
+ python3-all,
 Build-Depends-Indep:
  dh-python,
  python3-jsonschema,
@@ -18,7 +18,7 @@
  python3-sphinx-rtd-theme,
  python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/swagger-spec-validator
 Vcs-Git: https://salsa.debian.org/python-team/packages/swagger-spec-validator.git
 Homepage: https://github.com/Yelp/swagger_spec_validator

## swagger-spec-validator 3.0.2

=== debian/changelog ===
swagger-spec-validator (3.0.2-1) unstable; urgency=medium

  * [3f080f9] New upstream version 3.0.2
  * [8aaf963] Rebuild patch queue from patch queue branch
    Added patches:
    Included-typing-extensions-to-list-of-requirements.patch
    docs-Use-installed-local-inventory-information.patch
    Removed patch:
    Don-t-use-intersphinx-while-build-of-documentation.patch
  * [1a6f291] d/copyright: Update year data
  * [8656175] d/{control,rules}: Move over to dh-sequence-python3
  * [9cd3683] d/control: Updating required Build-Dependencies

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Oct 2022 09:44:36 +0200

## swagger-spec-validator 3.0.3

=== debian/changelog ===
swagger-spec-validator (3.0.3-2) unstable; urgency=medium

  * Team Upload
  * [472ba89] python3-mock is not needed for autopkgtest
  * [0188353] add missing python3-pkg-resources for tests

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Jan 2024 22:31:56 +0100

swagger-spec-validator (3.0.3-1) unstable; urgency=medium

  * [5cfbe8f] New upstream version 3.0.3
  * [97b6f28] Rebuild patch queue from patch queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Nov 2022 10:34:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,16 @@
  debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-doc,
  python3-jsonschema,
- python3-mock,
  python3-pytest,
  python3-setuptools,
  python3-simplejson,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-typing-extensions,
  python3-yaml,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_TEST_ARGS=-k 'not test_raise_SwaggerValidationError_on_urlopen_error'
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: smoke
Depends:
 @,
 python3-jsonschema,
 python3-pkg-resources,
 python3-pytest,
Restrictions: allow-stderr

=== debian/watch ===
# watch file for swagger-spec-validator

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/wagger-spec-validator$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
      https://github.com/Yelp/swagger_spec_validator.git \
      refs/tags/v(\d+\.\d+|\d+\.\d+\.\d+)

## swagger-spec-validator 3.0.4

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	rm -rf swagger_validator.egg-info
 	rm -rf docs/build
 	rm -f MANIFEST
+	rm -rf .tox
 
 .PHONY: install-hooks
 install-hooks:

=== debian/changelog ===
swagger-spec-validator (3.0.4-2) unstable; urgency=medium

  * Team Upload
  * [a3f4258] remove python3-simplejson build dependency
  * [1d7755b] remove python3-pkg-resources dep from autopkgtest

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 11:47:43 +0100

swagger-spec-validator (3.0.4-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * [0a1448e] apply Multi-Arch: hint

  [ Carsten Schoenert ]
  * [bc59af2] d/watch: Use compression typ gz
  * [9ebef8c] New upstream version 3.0.4
  * [d372f83] Rebuild patch queue from patch queue branch
    Modified patch:
    docs-Use-installed-local-inventory-information.patch
  * [7b41ac4] d/control: Add new B-D due upstream modification
  * [2624012] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [3b6c90f] d/copyright: Update year data
  * [a095d6f] d/{control,rules}: Use dh-sequence-sphinxdoc
  * [b820d2e] d/control: Add BuildProfileSpec to Build-Depends
  * [7845e53] d/control: Remove packages in Depends field
  * [5757ea1] d/rules: Clean up mypy related cruft while dh_clean
  * [6a5deba] d/rules: Set PYTHONPATH to one of the build folders

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jun 2024 08:03:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,24 +9,26 @@
  python3-all,
 Build-Depends-Indep:
  dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
- python3-doc,
- python3-jsonschema,
- python3-pytest,
+ python3-doc <!nodoc>,
+ python3-importlib-resources <!nocheck> <!nodoc>,
+ python3-jsonschema <!nocheck> <!nodoc>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-simplejson,
- python3-sphinx,
- python3-sphinx-rtd-theme,
- python3-typing-extensions,
- python3-yaml,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-typing-extensions <!nocheck> <!nodoc>,
+ python3-yaml <!nocheck> <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/swagger-spec-validator
 Vcs-Git: https://salsa.debian.org/python-team/packages/swagger-spec-validator.git
 Homepage: https://github.com/Yelp/swagger_spec_validator
 
 Package: python-swagger-spec-validator-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
@@ -45,8 +47,6 @@
 Package: python3-swagger-spec-validator
 Architecture: all
 Depends:
- python3-jsonschema,
- python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
 Description: Validation of Swagger specifications (Python3 version)

=== debian/tests/control ===
Tests: smoke
Depends:
 @,
 python3-jsonschema,
 python3-pytest,
Restrictions: allow-stderr

=== debian/watch ===
# watch file for swagger-spec-validator

version=4

opts="mode=git, \
      compression=gz, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/wagger-spec-validator$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/Yelp/swagger_spec_validator.git \
      refs/tags/v(\d+\.\d+|\d+\.\d+\.\d+)
